Subject: Re: [PATCH] auto-detect changed $prefix in Makefile and properly rebuild to avoid broken install

From: Alexander Litvinov <[email-masked]>
Date: Thu, 15 Jun 2006 20:00:42 +0700

> > If so, why can't you
> > use prefix=/home/santi/usr/stow/git both in 'make' and in 'make install'
> > ? Would this work ?
>
> For the few tests I've made it does works, but it is not the
> recommended method from the stow developers, and I suppose they know
> better than me.

I always use make prefix=/usr/local/stow/git-bla-bla and it works. The only 
thing that make break is the case when you install library into such prefix 
and it store it in the pkgconfig file. And when you will compile application 
it will be build with library paths set to /usr/local/stow/lib/libxyz and not 
to /usr/local/lib/libxyz.

But I dont make such big dependences from sources so it works.